Subject: Re: [PATCH/RFC] l10n: de.po: translate 39 new messages

From: Thomas Rast <[email-masked]>
Date: Tue, 16 Apr 2013 10:34:09 +0200

Ralf Thielow <[email-masked]> writes:

>  msgid "You are currently reverting commit %s."
> -msgstr "Sie sind gerade bei einer binären Suche in Zweig '%s'."
> +msgstr "Sie kehren gerade Version '%s' um."

Is revert->umkehren new?  I can see it's in the glossary, but

  #: sequencer.c:536
  #, c-format
  msgid "could not revert %s... %s"
  msgstr "Konnte %s nicht zurücksetzen... %s"

  #: sequencer.c:1016
  msgid "Can't revert as initial commit"
  msgstr "Kann nicht zu initialer Version zurücksetzen."

which I don't really like either now that you mention it -- I would
re-translate it as 'reset'.  But either way they should be consistent.

>  msgid "Commit %s has an untrusted GPG signature, allegedly by %s."
> -msgstr ""
> +msgstr "Version %s hat eine nicht vertrauenswürdige GPG-Signatur, "
> +"vermeintlich von %s."
>  
>  msgid "Commit %s has a bad GPG signature allegedly by %s."
> -msgstr ""
> +msgstr "Version %s hat eine ungültige GPG-Signatur, vermeintlich von %s."

You could say "angeblich" instead, which is more to the point.

>  #: git-submodule.sh:626
> -#, fuzzy, sh-format
> +#, sh-format
>  msgid "Submodule '$name' ($url) unregistered for path '$sm_path'"
> -msgstr "Unterprojekt '$name' ($url) ist für Pfad '$sm_path' registriert"
> +msgstr "Unterprojekt '$name' ($url) ist nicht für Pfad '$sm_path' registriert."

This is in cmd_deinit(), and the comment for the enclosing block says

  # Remove the whole section so we have a clean state when
  # the user later decides to init this submodule again

So it would seem to use "unregister" as a verb, not an adjective, and
the correct translation is

  msgstr "Unterprojekt '$name' ($url) für '$sm_path' deregistriert."

or some such.  "Deregistriert" is not very nice; in the absence of
context I would suggest "ausgetragen", but that problably collides with
our use of "eintragen".  Perhaps you can go the long way for this
isolated use and just say "aus der Konfiguration entfernt" (and
similarly for 'register').

In any case you should also add 'register' and 'unregister' to the
glossary once you've settled on something.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch